> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetAuditLogAsync POST https://api.voximplant.com/platform_api/GetAuditLogAsync The [GetAuditLog] asynchronous implementation. Use this function to download a large amounts of data. Take a look at the [GetHistoryReports] and [DownloadHistoryReport] functions for downloading details. Allowed roles: `Owner`. **Example request:** Get the three log items from the 2018-02-01 00:00:00 to the 2018-03-01 00:00:00 and filter. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/history/get-audit-log-async ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `from_date` (string, required) — The UTC 'from' date filter in 24-h format: YYYY-MM-DD HH:mm:ss - `to_date` (string, required) — The UTC 'to' date filter in 24-h format: YYYY-MM-DD HH:mm:ss - `audit_log_id` (list of integer, optional) — The audit history ID list separated by semicolons (;) - `filtered_admin_user_id` (string, optional) — The admin user ID to filter - `filtered_ip` (list of string, optional) — The IP list separated by semicolons (;) to filter - `filtered_cmd` (list of string, optional) — The function list separated by semicolons (;) to filter - `advanced_filters` (string, optional) — A relation ID to filter (for example: a phone_number value, a user_id value, an application_id value) - `desc_order` (boolean, optional, default: false) — Whether to get records in the descent order - `with_header` (boolean, optional, default: true) — Whether to get a CSV file with the column names if the output=csv - `output` (string, optional, default: csv) — The output format. The following values available: **csv**. The default value is **csv** ## Response ### 200 Successful response - `result` (integer, optional) — Returns 1 if the request has been completed successfully - `history_report_id` (integer, optional) — The history report ID ## Examples **Request** ```json {} ``` **Response** ```json { "result": 1, "history_report_id": 234254 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetAuditLogAsync" querystring = {"from_date":"2018-02-01 00:00:00","to_date":"2018-03-01 00:00:00","audit_log_id":"[101,102,103]","filtered_admin_user_id":"admin_789","filtered_ip":"[\"192.168.1.10\",\"203.0.113.5\"]","filtered_cmd":"[\"CreateUser\",\"DeleteUser\",\"UpdateSettings\"]","advanced_filters":"user_id=12345","desc_order":"true","with_header":"true","output":"csv"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetAuditLogAsync?from_date=2018-02-01+00%3A00%3A00&to_date=2018-03-01+00%3A00%3A00&audit_log_id=%5B101%2C102%2C103%5D&filtered_admin_user_id=admin_789&filtered_ip=%5B%22192.168.1.10%22%2C%22203.0.113.5%22%5D&filtered_cmd=%5B%22CreateUser%22%2C%22DeleteUser%22%2C%22UpdateSettings%22%5D&advanced_filters=user_id%3D12345&desc_order=true&with_header=true&output=csv'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetAuditLogAsync?from_date=2018-02-01+00%3A00%3A00&to_date=2018-03-01+00%3A00%3A00&audit_log_id=%5B101%2C102%2C103%5D&filtered_admin_user_id=admin_789&filtered_ip=%5B%22192.168.1.10%22%2C%22203.0.113.5%22%5D&filtered_cmd=%5B%22CreateUser%22%2C%22DeleteUser%22%2C%22UpdateSettings%22%5D&advanced_filters=user_id%3D12345&desc_order=true&with_header=true&output=csv" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetAuditLogAsync?from_date=2018-02-01+00%3A00%3A00&to_date=2018-03-01+00%3A00%3A00&audit_log_id=%5B101%2C102%2C103%5D&filtered_admin_user_id=admin_789&filtered_ip=%5B%22192.168.1.10%22%2C%22203.0.113.5%22%5D&filtered_cmd=%5B%22CreateUser%22%2C%22DeleteUser%22%2C%22UpdateSettings%22%5D&advanced_filters=user_id%3D12345&desc_order=true&with_header=true&output=csv") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetAuditLogAsync?from_date=2018-02-01+00%3A00%3A00&to_date=2018-03-01+00%3A00%3A00&audit_log_id=%5B101%2C102%2C103%5D&filtered_admin_user_id=admin_789&filtered_ip=%5B%22192.168.1.10%22%2C%22203.0.113.5%22%5D&filtered_cmd=%5B%22CreateUser%22%2C%22DeleteUser%22%2C%22UpdateSettings%22%5D&advanced_filters=user_id%3D12345&desc_order=true&with_header=true&output=csv") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetAuditLogAsync?from_date=2018-02-01+00%3A00%3A00&to_date=2018-03-01+00%3A00%3A00&audit_log_id=%5B101%2C102%2C103%5D&filtered_admin_user_id=admin_789&filtered_ip=%5B%22192.168.1.10%22%2C%22203.0.113.5%22%5D&filtered_cmd=%5B%22CreateUser%22%2C%22DeleteUser%22%2C%22UpdateSettings%22%5D&advanced_filters=user_id%3D12345&desc_order=true&with_header=true&output=csv', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetAuditLogAsync?from_date=2018-02-01+00%3A00%3A00&to_date=2018-03-01+00%3A00%3A00&audit_log_id=%5B101%2C102%2C103%5D&filtered_admin_user_id=admin_789&filtered_ip=%5B%22192.168.1.10%22%2C%22203.0.113.5%22%5D&filtered_cmd=%5B%22CreateUser%22%2C%22DeleteUser%22%2C%22UpdateSettings%22%5D&advanced_filters=user_id%3D12345&desc_order=true&with_header=true&output=csv"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetAuditLogAsync?from_date=2018-02-01+00%3A00%3A00&to_date=2018-03-01+00%3A00%3A00&audit_log_id=%5B101%2C102%2C103%5D&filtered_admin_user_id=admin_789&filtered_ip=%5B%22192.168.1.10%22%2C%22203.0.113.5%22%5D&filtered_cmd=%5B%22CreateUser%22%2C%22DeleteUser%22%2C%22UpdateSettings%22%5D&advanced_filters=user_id%3D12345&desc_order=true&with_header=true&output=csv")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```